Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: gpm

Interfaces

### Description:

General Purpose Mouse driver.

### Interfaces:

gpm_admin( domain , role )

##### Summary

All of the rules required to administrate an gpm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

gpm_dontaudit_getattr_gpmctl( domain )

##### Summary

Do not audit attempts to get attributes of gpm control channel named sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

gpm_getattr_gpmctl( domain )

##### Summary

Get attributes of gpm control channel named sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpm_setattr_gpmctl( domain )

##### Summary

Set attributes of gpm control channel named sock files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpm_stream_connect( domain )

##### Summary

Connect to GPM over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return